Bug 1416804 - "stty: standard input: Bad file descriptor" during manual installation when asking for Oracle DB connection data
Summary: "stty: standard input: Bad file descriptor" during manual installation when a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer
Version: 580
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Dobes
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks: 1340444
TreeView+ depends on / blocked
 
Reported: 2017-01-26 13:30 UTC by Radovan Drazny
Modified: 2017-06-21 12:07 UTC (History)
2 users (show)

Fixed In Version: spacewalk-setup-2.5.1-16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 12:07:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Radovan Drazny 2017-01-26 13:30:55 UTC
Description of problem:
During the manual installation of Sat 5.8 with the "--external-oracle" parameter, there is following error when asking for Oracle DB connection password:

** Database: Setting up database connection for Oracle backend.
Database service name (SID)? rhnsat.world
Database hostname [localhost]?
Database (listener) port [1521]? 1522
Username? rhnsat
Password? stty: standard input: Bad file descriptor
stty: standard input: Bad file descriptor
rhnsat
stty: standard input: Bad file descriptor

It is possible to inter the password despite the error message, so it's only cosmetic issue, but it doesn't look good. 

Version-Release number of selected component (if applicable):
Satellite-5.8-RHEL-6-20170118.0 (s390x) - install.pl

How reproducible:
always

Expected results:
No error message when entering Oracle password.

Additional info:

Comment 3 Jan Dobes 2017-02-16 14:24:25 UTC
Also look at BZ466747 where are attached specific commits.

However it seems there weren't many changes in this for 5.8, except removing one occurrence of workaround from BZ466747 in monitoring removal commits.

Any clue if this scenario works on Satellite 5.7?

Comment 4 Radovan Drazny 2017-02-17 12:39:27 UTC
(In reply to Jan Dobes from comment #3)
> Also look at BZ466747 where are attached specific commits.
> 
> However it seems there weren't many changes in this for 5.8, except removing
> one occurrence of workaround from BZ466747 in monitoring removal commits.
> 
> Any clue if this scenario works on Satellite 5.7?

Ok, I have tested 5.7 installation on a s390x server. It suffers from the same issue:

<...>
Database service name (SID)? the_oracle
Username? spaceuser
Password? stty: standard input: Bad file descriptor
stty: standard input: Bad file descriptor
<...>

Tested on Satellite-5.7.0-RHEL6-re20150108.2-s390x.iso.

Comment 6 Jan Dobes 2017-02-21 12:55:43 UTC
fixed in spacewalk master:

661ad362c03070b381070118a9b4f196fc40c1f8

Comment 9 Radovan Drazny 2017-02-22 14:34:25 UTC
Tested on s390x RHEL6 witch spacewalk-setup-2.5.1-16.el6sat on Satellite-5.8-RHEL-6-20170221.n.0. 

Database service name (SID)? the_oracle
Username? spaceuser
Password?
** Database: Testing database connection.
** Database: Populating database.

No error message, password is not echoed to the terminal during the input, the connection to the DB server is successful and database is correctly populated.

VERIFIED

Comment 10 Lukáš Hellebrandt 2017-06-14 11:22:46 UTC
Verified with composes Satellite-5.8-RHEL-6-20170609.n.0-Satellite-x86_64 and Satellite-5.8-RHEL-6-20170613.n.0-Satellite-s390x.

The password prompt now works correctly without warnings.


Note You need to log in before you can comment on or make changes to this bug.